<?php
$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] ?: array()) + array("_bfe6642a5b68bf0dfbe0e38d0" . "c9f9bb3" => base64_decode("U0VMRUNUIENPVU5UKDEpIEZST00gKFNFTEVDVCBvYmplY3R" . "faWQgRlJPTSBzdGF0X3ZpZXdzIFdIRVJFIGFnZ3JlZ2F0aW" . "9uID0gaW50OmFnZ3JlZ2F0aW9uIEFORCA="), "aggregatio" . "n" => base64_decode("YWdncmVnYXRp" . "b24="), "_8a2c4179b7145f57e03893c306" . "413ae2" => base64_decode("U0VMRUNUIG9iamVjdF9pZCwgQ09VTlQodXNlcl9pZCkgdmlld3MsIENPVU5UKERJU1RJTkNUIHVzZXJf" . "aWQpIHVuaXF1ZV92aWV3ZXJzIEZST00gc3RhdF92aWV3cyBXSEVSRSBhZ2dyZWdhdGlvbiA9IGludDph" . "Z2dyZWdhdGlvbiBBTkQg"), "_31fe0e29fdfc834bf81efd515f8390b" . "2" => base64_decode("IEdST1VQIEJZIG9iamVjdF9pZCBPUkRFUiBCWSB2aWV3cyBERVNDLCB1bmlxdWVfdmlld2VycyBERVNDLCB" . "vYmplY3RfaWQgQVND"), "_c3632c3" . "0d13c067" . "8877605a" . "29c10c42" . "8" => base64_decode("IEdST1VQIEJZIG9iamVjdF9pZCkg" . "dA=="));
use Claromentis\Core\DAL;
abstract class StatReportTopViewList extends StatReportTopList
{
    function __construct($aggregation, $name)
    {
        parent::__construct($aggregation, $name);
        $this->most_popular_amount = 10;
        $this->rows_per_page = 20;
    }
    protected function CollectData($_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4)
    {
        global $db;
        $filter = $this->GetFilter();
        $query = new DAL\Query($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_8a2c4179b7145f" . "57e03893c306413" . "ae2"] . $filter->AsPart() . $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_31fe0e29fdfc834bf81efd515f8390b" . "2"]);
        $query->Bind($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["aggregatio" . "n"], $this->aggregation);
        $query->BindPart($filter);
        $query->setLimit($_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4);
        $result = $db->query($query);
        $data = array();
        while ($row = $result->fetchArray()) {
            $data[] = $row;
        }
        return $data;
    }
    protected function GetNumRowsQuery()
    {
        $filter = $this->GetFilter();
        $query = new DAL\Query($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_bfe6642a5b68bf0dfbe0e38d0c9f9bb" . "3"] . $filter->AsPart() . $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_c3632c30d13c0678877605a29c10c42" . "8"], $this->aggregation);
        $query->BindPart($filter);
        return $query;
    }
}